# WOK
TKWOK
WOKernel

# WOKernel_GlobalFileTypeBase Class Reference

diminuer les chargement de FileTypeBase

`#include <WOKernel_GlobalFileTypeBase.hxx>`

## Public Member Functions

Standard_EXPORT | WOKernel_GlobalFileTypeBase ()
Standard_EXPORT Handle_WOKernel_FileTypeBase | GetFileTypeBase (const Handle(WOKernel_Entity)&anentity)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKernel_DataMapOfFileTypeBase | mybases

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_GlobalFileTypeBase::WOKernel_GlobalFileTypeBase | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_WOKernel_FileTypeBase WOKernel_GlobalFileTypeBase::GetFileTypeBase | ( | const Handle(WOKernel_Entity)& | anentity | ) |

Standard_EXPORT const WOKernel_GlobalFileTypeBase::Handle | ( | Standard_Type |  | ) | const

## Field Documentation

WOKernel_DataMapOfFileTypeBase WOKernel_GlobalFileTypeBase::mybases `[private]`

The documentation for this class was generated from the following file:

- WOKernel_GlobalFileTypeBase.hxx